extends Channel

signal on_match_update(msg: CurrentUnixTimeMessage)


func get_channel_location() -> String:
	return "match"


func _process(_delta: float) -> void:
	self.socket.poll()
	if self.socket.get_ready_state() != WebSocketPeer.STATE_OPEN:
		return
	while self.socket.get_available_packet_count():
		var msg := CurrentUnixTimeMessage.deserialize(
			self.socket.get_packet().get_string_from_utf8(), [CurrentUnixTimeMessage]
		)
		if msg.get_message_id() != CurrentUnixTimeMessage.MESSAGE_ID:
			return
		on_match_update.emit(msg)
